<template lang="pug">
BaseCard(title="Vacuum Valves")
  li(key="vvsData").p-0.x-vp
    BaseModalLoader(:isLoading="loading")
    table.table.table-sm.table-hover.m-0
      thead.bg-light
        tr
          th Name
          th State
      tbody
        tr(v-for="vvs in data")
          td {{ vvs.name }}
          td(:title="fillTitle(vvs.state)")
            .d-flex.justify-content-center
              i.fas.fa-times.text-danger.mr-2(v-if="!isStateValid(vvs.state)"
                title="Error: Bit Validity is 0")
              pre {{ getStateFromBits(vvs.state) }}
</template>

<script>

export { default } from './VVSValvePositions.vue.js';

</script>
